Package org.bukkit.entity

# Enum Class Frog.Variant

java.lang.Object
java.lang.Enum<Frog.Variant>
org.bukkit.entity.Frog.Variant

All Implemented Interfaces:
  `Serializable`, `Comparable<Frog.Variant>`, `Constable`, `net.kyori.adventure.key.Keyed`, `Keyed`

Enclosing interface:
  Frog

public static enum Frog.Variant extends Enum<Frog.Variant> implements Keyed
Represents the variant of a frog - ie its color.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COLD`
Cold (green) frog.
`TEMPERATE`
Temperate (brown-orange) frog.
`WARM`
Warm (gray) frog.

## Method Summary

Modifier and Type
Method
Description
`@NotNull NamespacedKey`
`getKey()`
Return the namespaced identifier for this object.
`static Frog.Variant`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Frog.Variant[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.bukkit.Keyed

`key`

## Enum Constant Details

### TEMPERATE

public static final Frog.Variant TEMPERATE
Temperate (brown-orange) frog.

### WARM

public static final Frog.Variant WARM
Warm (gray) frog.

### COLD

public static final Frog.Variant COLD
Cold (green) frog.

## Method Details

### values

public static Frog.Variant[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Frog.Variant valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getKey

@NotNull public @NotNull NamespacedKey getKey()
Description copied from interface: `Keyed`
Return the namespaced identifier for this object.

Specified by:
  `getKey` in interface `Keyed`
Returns:
  this object's key